%define upstream_name    Perl-MinimumVersion
%define upstream_version 1.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find a minimum required version of perl for Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util) >= 1.200.0
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPI::Util)
BuildRequires: perl(PPIx::Regexp) >= 0.33.0
BuildRequires: perl(PPIx::Utils)
BuildRequires: perl(Params::Util) >= 0.250.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version) >= 0.760.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
'Perl::MinimumVersion' takes Perl source code and calculates the minimum
version of perl required to be able to run it. Because it is based on the
PPI manpage, it can do this without having to actually load the code.

Currently it tests both the syntax of your code, and the use of explicit
version dependencies such as 'require 5.005'.

Future plans are to also add support for tracing module dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.400.0-2.mga9
+ Revision: 1820640
- Mageia 9 Mass Rebuild

* Sun Apr 25 2021 tv <tv> 1.400.0-1.mga9
+ Revision: 1719462
- update to 1.40

* Wed Feb 12 2020 umeabot <umeabot> 1.380.0-8.mga8
+ Revision: 1496537
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.380.0-7.mga7
+ Revision: 1270512
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-6.mga6
+ Revision: 1031985
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.380.0-5.mga6
+ Revision: 936160
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-4.mga5
+ Revision: 745298
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.380.0-3.mga5
+ Revision: 733259
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 685939
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 1.380.0-1.mga5
+ Revision: 666836
- update to 1.38

* Tue May 20 2014 jquelin <jquelin> 1.370.0-1.mga5
+ Revision: 624409
- update to 1.37

* Tue May 06 2014 jquelin <jquelin> 1.350.0-1.mga5
+ Revision: 620726
- update to 1.35

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 527673
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.320.0-1.mga4
+ Revision: 441729
- update to 1.32

* Sun Jan 13 2013 umeabot <umeabot> 1.310.0-2.mga3
+ Revision: 371694
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.310.0-1.mga3
+ Revision: 342509
- update to 1.31

* Thu Mar 10 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 67433
- update to 1.28

* Mon Feb 28 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 61435
- update to 1.27

* Mon Jan 24 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 37196
- mageia rebuild
- imported package perl-Perl-MinimumVersion

